#include        <stdio.h>
#include        <ctype.h>

/*
 *      capitalize
 *              reads stdin, writes to stdout
 *              capitalizes any letters after an = sign
 *              designed to clean up the freshman data file
 */

main()
{
        int     c, prevc;                       /* need two vars here */

        prevc = '\0';                           /* not an = */
        while ( (c=getchar()) != EOF )
        {
                if ( prevc == '=' && islower(c) )       /* need to up it ?  */
                        c = toupper(c);                 /* yes! use toupper */
                putchar(c);                             /* print it out     */
                prevc = c;                              /* remember it      */ ;
        }
}


